<label>Entendendo o () e chamada de funcao</label><br>
<input type="text" #test (mouseenter)="funTest('VOCE ENTROU NO INPUT')" (keyup.enter)="funTest(test.value)" placeholder="Digite aqui!"/> <br> 
<button (click)="funTest('VOCE CLICOU NO BOTAO')" (mouseleave)='funTest("VOCE SAIU DO BOTAO")' (mouseenter)='funTest("VOCE ENTROU DO BOTAO")'>Clique aqui! </button>
<p>{{teste}}</p>
<br>
<label> Testando umas coisas</label>
<br>
<br>

 <input type="text" #inputTest placeholder="Digite algo na lista do To-Do">
 <br>
 <button mat-raised-button (click)="addToList(inputTest) "> Add To-Do</button>
 <ul>
     <li *ngFor="let item of lista"  >
        {{item}}
     </li>
 </ul>


